Retrieve a tokenized test credit card
Retrieve a test credit card that can be used to process payments in your Bolt testing environment. The response includes the card's Bolt credit card token.
Authorization
api-key In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/testing/credit-cards" \ -H "Content-Type: application/json" \ -d '{ "type": "approve" }'{ "network": "visa", "bin": "411111", "last4": "1004", "expiration": "2023-10-31T06:00:00Z", "token": "a1B2c3D4e5F6G7H8i9J0k1L2m3N4o5P6Q7r8S9t0"}Get a random phone number GET
Get a random, fictitious phone number that is not assigned to any existing Bolt account.
Get Account Details GET
Fetch a shopper's account details to pre-fill checkout fields. This request must come from your backend for security purposes, as it requires the use of your private key to authenticate. For PCI compliance, only limited information is returned for each credit card available in the shopper’s wallet.